/**
 * Startet die Prüfung der Ausleihfristen. Eingabe sind zwei Datumswerte und die Ausleihfrist in Tagen. Es wird ausgegeben,
 * ob die Ausleihfrist überzogen wurde. Die Ausleihfrist gilt bis einschließlich heute+anzahlTage.
 * Beispiel:
 * AusleihDatum: "01.02.1015", anzahlTage: 10, heuteDatum: "11.02.2015" -> OK
 * AusleihDatum: "01.02.1015", anzahlTage: 10, heuteDatum: "12.02.2015" -> Nicht ok
 *
 * ----------------- DIESE KLASSE MUSS NICHT MODIFIZIERT WERDEN ---------------------
 */
public class FristenKontrolle {
    /**
     * Siehe oben
     */
    private  Datum ausleihDatum, heuteDatum;
    private  int anzahlTage;

    /**
     * Erzeuge den Starter
     *
     * @param ausleihDatum Datum, an dem das Buch ausgeliehen wurde
     * @param heuteDatum   Aktuelles Datum
     * @param anzahlTage   Ausleihfrist in Tagen
     */
    public FristenKontrolle(String ausleihDatum, String heuteDatum, int anzahlTage) {
        // Lese Datumswerte ein
        this.ausleihDatum = new Datum(ausleihDatum);
        this.heuteDatum = new Datum(heuteDatum);
        this.anzahlTage = anzahlTage;
    }

    /**
     * Prüfe die Daten und gebe aus, ob die Ausleihfrist überzogen wurde
     */
    public void pruefeDaten() {
        if (ausleihfristUeberzogen()) {
            System.out.println("Du hast die Ausleihfrist überzogen");
        } else {
            System.out.println("Alles ok");
        }
    }

    /**
     * Prüfe, ob die Ausleihfrist überzogen wird
     *
     * @return true, falls Ausleihfrist überzogen wurde
     */
    public boolean ausleihfristUeberzogen() {
        // Addiere Tage auf Ausleihdatum
         Datum ausleihEndDatum = ausleihDatum.addiereTage(anzahlTage);
        return heuteDatum.istSpaeterAls(ausleihEndDatum);
    }
}
